import xbmc,xbmcgui,time,subprocess,urllib,urllib2,urlparse,xbmcvfs,xbmcaddon,os,sys
import simplejson as json

# Settings ADDON
__addon__   = xbmcaddon.Addon()
__addonid__ = __addon__.getAddonInfo('id')
settings = xbmcaddon.Addon(id='fibaro.addon')

# Settings HC2 Network
ip = settings.getSetting( "ip_hc2" )
user = settings.getSetting( "username_hc2" )
passwd = settings.getSetting( "passwd_hc2" )

# Settings ID Scenes
id_start = settings.getSetting( "id_start" )
id_end = settings.getSetting( "id_end" )
id_pause = settings.getSetting( "id_pause" )
virtual_device = settings.getSetting( "virtual_device" )
globvar = settings.getSetting( "global_variable" )
device_id = settings.getSetting( "device_id" )
id_img_start = settings.getSetting( "id_img_start" )
id_img_end = settings.getSetting( "id_img_end" )
id_img_pause = settings.getSetting( "id_img_pause" )
id_img_video = settings.getSetting( "id_img_video" )
id_img_music = settings.getSetting( "id_img_music" )
label = settings.getSetting( "label" )
debug = settings.getSetting( "debug" )
label_season = settings.getSetting("label_season")
delay_cam = settings.getSetting("delay_cam")	

# replace charater
reps = {'&':'%26', '(':'', ')':'', '\'':'', ',':' Saison'}
def replace_all(text,dic):
		for i, j in dic.iteritems():
			text = text.replace(i, j)
		return text

params = urlparse.parse_qs('&'.join(sys.argv[1:]))
print(params)
if len(params)>=2 and params['cam'][0]=='1':
	camera = params['cam'][0]
	number = params['num'][0]
	urlcam = settings.getSetting( "url_cam_%s" % number)
	place_cam = settings.getSetting( "place_camera_%s" % number)
	pic_cam = settings.getSetting( "picture_camera_%s" % number)
	if (camera == '1'):
		url='%s' % (urlcam)
		camnotif= '%s' % (place_cam)
		if len(pic_cam) <1:
			piccam= 'special://home/addons/fibaro.addon/cam.png'
		else:
			piccam='%s' % (pic_cam)
	
		path = xbmc.translatePath('special://profile/addon_data/%s' % __addonid__)
		if not xbmcvfs.exists(path):
			xbmcvfs.mkdir(path)
		imagefile = os.path.join(path, 'cam.jpg')

		class CamView(xbmcgui.WindowDialog):
			def __init__(self):
				# set the initial image before the window is shown
				urllib.urlretrieve(url, imagefile)
				self.image = xbmcgui.ControlImage(870, 383, 380, 253, "")
				self.addControl(self.image)
		viewer = CamView()
		viewer.show()
		start_time = time.time()
		firstimage = True
		while(time.time() - start_time <= 14):
			urllib.urlretrieve(url, imagefile)
			viewer.image.setImage("")
			viewer.image.setImage(imagefile)
			curr_time = round(time.time() - start_time, 0)
			if firstimage:
				nowtime=time.strftime("%I:%M %p")
				xoptions="Notification(%s,%s, 13800, %s)" % (camnotif, nowtime, piccam)
				xbmc.executebuiltin(xoptions)
				viewer.image.setAnimations([('conditional', 'effect=fade start=0 end=90 time=250 delay=125 condition=true',), ('conditional', 'effect=slide start=0,400 end=0,0 time=250 condition=true',)])
				firstimage = False
			elif curr_time == 14:
				viewer.image.setAnimations([('conditional', 'effect=fade start=90 end=90 time=0 condition=true',), ('conditional', 'effect=slide start=0,0 end=0,400 time=250 condition=true',)])
				print "catch"
			else:
				viewer.image.setAnimations([('conditional', 'effect=fade start=90 end=90 time=0 condition=true',)])
				print curr_time
			xbmc.sleep(500)

		viewer.close()
		del viewer

# elif len(params)>=1 and params['cam'][0]=='2':
	# xbmc.playSFX('special://home/addons/fibaro.addon/doorbell.wav')
	# print('special://home/addons/fibaro.addon/doorbell.wav')
	
elif len(params)>=1 and (params['cam'][0]=='3' or params['cam'][0]=='4'):
	camera = params['cam'][0]
	if params['cam'][0]=='3':
		urlcam1 = settings.getSetting( "url_cam_%s" % '1')
		urlcam2 = settings.getSetting( "url_cam_%s" % '2')
		urlcam3 = settings.getSetting( "url_cam_%s" % '3')
		urlcam4 = settings.getSetting( "url_cam_%s" % '4')
		place_cam = settings.getSetting( "place_camera_%s" % 'Global 1-4')
		pic_cam = settings.getSetting( "picture_camera_%s" % '1')
	elif params['cam'][0]=='4':
		urlcam1 = settings.getSetting( "url_cam_%s" % '5')
		urlcam2 = settings.getSetting( "url_cam_%s" % '6')
		urlcam3 = settings.getSetting( "url_cam_%s" % '7')
		urlcam4 = settings.getSetting( "url_cam_%s" % '8')
		place_cam = settings.getSetting( "place_camera_%s" % 'Global 5-8')
		pic_cam = settings.getSetting( "picture_camera_%s" % '1')
		
	if (camera == '3' or camera == '4'):
		url1='%s' % (urlcam1)
		url2='%s' % (urlcam2)
		url3='%s' % (urlcam3)
		url4='%s' % (urlcam4)
		camnotif= '%s' % (place_cam)
		if len(pic_cam) <1:
			piccam= 'special://home/addons/fibaro.addon/cam.png'
		else:
			piccam='%s' % (pic_cam)
	
		path = xbmc.translatePath('special://profile/addon_data/%s' % __addonid__)
		if not xbmcvfs.exists(path):
			xbmcvfs.mkdir(path)
		imagefile1 = os.path.join(path, 'cam1.jpg')
		imagefile2 = os.path.join(path, 'cam2.jpg')
		imagefile3 = os.path.join(path, 'cam3.jpg')
		imagefile4 = os.path.join(path, 'cam4.jpg')

		class CamView(xbmcgui.WindowDialog):
			def __init__(self):
				# set the initial image before the window is shown
				if url1:
					urllib.urlretrieve(url1, imagefile1)
					self.image1 = xbmcgui.ControlImage(0, 0, 640, 360, imagefile1, aspectRatio=2)
					self.addControl(self.image1)
				
				if url2:
					urllib.urlretrieve(url2, imagefile2)
					self.image2 = xbmcgui.ControlImage(640, 0, 640, 360, imagefile2, aspectRatio=2)
					self.addControl(self.image2)
				
				if url3:
					urllib.urlretrieve(url3, imagefile3)
					self.image3 = xbmcgui.ControlImage(0, 360, 640, 360, imagefile3, aspectRatio=2)
					self.addControl(self.image3)
				
				if url4:
					urllib.urlretrieve(url4, imagefile4)
					self.image4 = xbmcgui.ControlImage(640, 360, 640, 360, imagefile4, aspectRatio=2)
					self.addControl(self.image4)
				
				
		viewer = CamView()
		viewer.show()
		start_time = time.time()
		firstimage = True
		while(time.time() - start_time <= 14):
			if url1:
				urllib.urlretrieve(url1, imagefile1)
				viewer.image1.setImage("")
				viewer.image1.setImage(imagefile1)
			
			if url2:
				urllib.urlretrieve(url2, imagefile2)
				viewer.image2.setImage("")
				viewer.image2.setImage(imagefile2)
			
			if url3:
				urllib.urlretrieve(url3, imagefile3)
				viewer.image3.setImage("")
				viewer.image3.setImage(imagefile3)
			
			if url4:
				urllib.urlretrieve(url4, imagefile4)
				viewer.image4.setImage("")
				viewer.image4.setImage(imagefile4)
			
			curr_time = round(time.time() - start_time, 0)
			if firstimage:
				nowtime=time.strftime("%I:%M %p")
				xoptions="Notification(%s,%s, 13800, %s)" % (camnotif, nowtime, piccam)
				xbmc.executebuiltin(xoptions)
				if url1:
					viewer.image1.setAnimations([('conditional', 'effect=fade start=0 end=90 time=250 delay=125 condition=true',), ('conditional', 'effect=slide start=0,400 end=0,0 time=250 condition=true',)])
				if url2:
					viewer.image2.setAnimations([('conditional', 'effect=fade start=0 end=90 time=250 delay=125 condition=true',), ('conditional', 'effect=slide start=0,400 end=0,0 time=250 condition=true',)])
				if url3:
					viewer.image3.setAnimations([('conditional', 'effect=fade start=0 end=90 time=250 delay=125 condition=true',), ('conditional', 'effect=slide start=0,400 end=0,0 time=250 condition=true',)])
				if url4:
					viewer.image4.setAnimations([('conditional', 'effect=fade start=0 end=90 time=250 delay=125 condition=true',), ('conditional', 'effect=slide start=0,400 end=0,0 time=250 condition=true',)])
				firstimage = False
			elif curr_time == 59:
				if url1:
					viewer.image1.setAnimations([('conditional', 'effect=fade start=90 end=90 time=0 condition=true',), ('conditional', 'effect=slide start=0,0 end=0,400 time=250 condition=true',)])
				if url2:
					viewer.image2.setAnimations([('conditional', 'effect=fade start=90 end=90 time=0 condition=true',), ('conditional', 'effect=slide start=0,0 end=0,400 time=250 condition=true',)])
				if url3:
					viewer.image3.setAnimations([('conditional', 'effect=fade start=90 end=90 time=0 condition=true',), ('conditional', 'effect=slide start=0,0 end=0,400 time=250 condition=true',)])
				if url4:
					viewer.image4.setAnimations([('conditional', 'effect=fade start=90 end=90 time=0 condition=true',), ('conditional', 'effect=slide start=0,0 end=0,400 time=250 condition=true',)])
				print "catch"
			else:
				if url1:
					viewer.image1.setAnimations([('conditional', 'effect=fade start=90 end=90 time=0 condition=true',)])
				if url2:
					viewer.image2.setAnimations([('conditional', 'effect=fade start=90 end=90 time=0 condition=true',)])
				if url3:
					viewer.image3.setAnimations([('conditional', 'effect=fade start=90 end=90 time=0 condition=true',)])
				if url4:
					viewer.image4.setAnimations([('conditional', 'effect=fade start=90 end=90 time=0 condition=true',)])
				print curr_time
			xbmc.sleep(500)

		viewer.close()
		del viewer

def encodeData (username, password):
	return "Basic " + (user + ":" + password).encode("base64").rstrip() 
			
def globVar (info, type):
	if (type == '1'):
		xbmc.sleep(5000)
		request_put = urllib2.Request('http://%s:80/api/globalVariables/%s' % (ip, globvar), data='{"value":"%s", "isEnum":true, "enumValues":["Empty", "Movies", "TVShows", "PVR", "Music"]}' % (info))
	# elif (type == '2'):
		# request_put = urllib2.Request('http://%s:80/api/virtualDevices&id=%s' % (ip, device_id), data='{"properties":{"mainLoop":"%s"}}' % (testing)) 
	#print('{"id":%s, "properties":{"ui.lblXbmc2.value":"%s"}}' % (device_id, info)) 
	request_put.add_header('Accept', 'application/json')
	request_put.add_header("Content-type", "application/x-www-form-urlencoded")
	request_put.add_header('Authorization', encodeData('%s' % (user), '%s' % (passwd)))
	request_put.get_method = lambda: 'PUT'
	result_put = urllib2.urlopen(request_put) 

		
class MyPlayer(xbmc.Player):
	def __init__ (self):
		xbmc.Player.__init__(self)
		if (str(settings.getSetting("virtual_device")) == "Yes"):
			urllib.urlopen('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=currentIcon&arg2=%s' % (user, passwd, ip, device_id, id_img_start))
			if (str(settings.getSetting("debug")) == "Yes"):
				print('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=currentIcon&arg2=%s' % (user, passwd, ip, device_id, id_img_start))
			
	def onPlayBackStarted(self):
		xbmc.sleep(1000)
		if xbmc.Player().isPlayingVideo():
			urllib.urlopen('http://%s:%s@%s/api/sceneControl?id=%s&action=start' % (user, passwd, ip, id_start))
			urllib.urlopen('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=currentIcon&arg2=%s' % (user, passwd, ip, device_id, id_img_video))
			if (str(settings.getSetting("debug")) == "Yes"):
				print('http://%s:%s@%s/api/sceneControl?id=%s&action=start' % (user, passwd, ip, id_start))
				print('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=currentIcon&arg2=%s' % (user, passwd, ip, device_id, id_img_video))
			if (str(settings.getSetting("label")) == "Yes"):
				if xbmc.Player().isPlayingVideo():
					title_movie = xbmc.Player().getVideoInfoTag().getTitle()
					title_movie = replace_all(title_movie, reps)
					casting = xbmc.getInfoLabel("VideoPlayer.Cast ")
					urllib.urlopen('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=ui.lblXbmc3.value&arg2=%s' % (user, passwd, ip, device_id, casting))
					urllib.urlopen('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=ui.lblXbmc1.value&arg2=%s' % (user, passwd, ip, device_id, title_movie))
					if (str(settings.getSetting("debug")) == "Yes"):
						print('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=ui.lblXbmc1.value&arg2=%s' % (user, passwd, ip, device_id, title_movie))
						print('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=ui.lblXbmc3.value&arg2=%s' % (user, passwd, ip, device_id, casting))
				
				if (xbmc.getInfoLabel("VideoPlayer.TVShowTitle") != ''):
					title_tvdisc = xbmc.getInfoLabel("VideoPlayer.TVShowTitle")
					title_season = xbmc.getInfoLabel("VideoPlayer.Season")					
					urllib.urlopen('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=ui.lblXbmc2.value&arg2=%s %s %s' % (user, passwd, ip, device_id, title_tvdisc, label_season, title_season))
					globVar('TVShows','1')
					if (str(settings.getSetting("debug")) == "Yes"):
						print('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=ui.lblXbmc2.value&arg2=%s' % (user, passwd, ip, device_id, title_tvdisc))
				
				
				if (xbmc.getInfoLabel("VideoPlayer.ChannelNumber") !=  ''):
					pvr_name = xbmc.getInfoLabel("VideoPlayer.ChannelName")
					pvr_number = xbmc.getInfoLabel("VideoPlayer.ChannelNumber")
					pvr_title = xbmc.getInfoLabel("ListItem.Title")
					pvr_start = xbmc.getInfoLabel("ListItem.StartTime")
					pvr_end = xbmc.getInfoLabel("ListItem.EndTime")
					urllib.urlopen('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=ui.lblXbmc1.value&arg2=%s' % (user, passwd, ip, device_id, pvr_title))
					urllib.urlopen('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=ui.lblXbmc2.value&arg2=%s' % (user, passwd, ip, device_id, pvr_name))
					urllib.urlopen('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=ui.lblXbmc3.value&arg2=%s %s' % (user, passwd, ip, device_id, pvr_start, pvr_end))
					globVar('PVR','1')
					if (str(settings.getSetting("debug")) == "Yes"):
						print(xbmc.getInfoLabel("VideoPlayer.ChannelNumber"))
						print('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=ui.lblXbmc1.value&arg2=%s' % (user, passwd, ip, device_id, pvr_title))
						print('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=ui.lblXbmc2.value&arg2=%s' % (user, passwd, ip, device_id, pvr_name))
						print('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=ui.lblXbmc3.value&arg2=%s %s' % (user, passwd, ip, device_id, pvr_start, pvr_end))
		
		if xbmc.Player().isPlayingAudio() == True:
			urllib.urlopen('http://%s:%s@%s/api/sceneControl?id=%s&action=start' % (user, passwd, ip, id_start))
			urllib.urlopen('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=currentIcon&arg2=%s' % (user, passwd, ip, device_id, id_img_music))
			if (str(settings.getSetting("debug")) == "Yes"):
				print ('Start Music')
				print('http://%s:%s@%s/api/sceneControl?id=%s&action=start' % (user, passwd, ip, id_start))
				print('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=currentIcon&arg2=%s' % (user, passwd, ip, device_id, id_img_music))
			if (str(settings.getSetting("label")) == "Yes"):
				globVar('Music','1')
				if xbmc.Player().isPlayingAudio():
					# xbmcLabel1
					title_music = xbmc.Player().getMusicInfoTag().getTitle()
					title_music = replace_all(title_music, reps)
					lblXbmc1 =  '%s' % (title_music)
					# xbmcLabel2
					position = int(xbmc.getInfoLabel("MusicPlayer.PlaylistPosition"))
					total = int(xbmc.getInfoLabel("MusicPlayer.PlaylistLength"))
					if ( position + 6 >= total):
						position_max = total
					else:
						position_max = position + 6
					# xbmcLabel3
					title_album = xbmc.Player().getMusicInfoTag().getAlbum()
					title_album = replace_all(title_album, reps)
					title_artist_music = xbmc.Player().getMusicInfoTag().getArtist()
					title_artist_music = replace_all(title_artist_music, reps)
					lblXbmc3 = '%s / %s' % (title_artist_music, title_album)
					playlist_select = xbmc.PlayList(xbmc.PLAYLIST_MUSIC)
					next_song = '';
					for i in range (position + 1 , position_max):
						i = i + 1
						if(i == position + 1):
							next_song = replace_all(playlist_select[i].getdescription(), reps)
						else:
							next_song = next_song + '&lt;br&gt;' + replace_all(playlist_select[i].getdescription(), reps)
					print(next_song)
					urllib.urlopen('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=ui.lblXbmc1.value&arg2=%s' % (user, passwd, ip, device_id, lblXbmc1))
					urllib.urlopen('http://%s:%s@%s/api/callAction?deviceID=%s&name=pressButton&arg1=37' % (user, passwd,ip, device_id))
					urllib.urlopen('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=ui.lblXbmc3.value&arg2=%s' % (user, passwd, ip, device_id, lblXbmc3))
					# globVar(next_song,'2')
					#globVar("TEST",'2')
					#urllib.urlopen('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=ui.lblXbmc2.value&arg2=%s' % (user, passwd, ip, device_id, next_song))
					if (str(settings.getSetting("debug")) == "Yes"):
						print('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=ui.lblXbmc1.value&arg2=%s' % (user, passwd, ip, device_id, lblXbmc1))
						print('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=ui.lblXbmc3.value&arg2=%s' % (user, passwd, ip, device_id, lblXbmc3))
						print('http://%s:%s@%s/api/callAction?deviceID=%s&name=pressButton&arg1=37' % (user, passwd,ip, device_id))
	
	def onPlayBackEnded(self):
		if (str(settings.getSetting("label")) == "Yes"):
				urllib.urlopen('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=ui.lblXbmc1.value&arg2=' % (user, passwd, ip, device_id))
				urllib.urlopen('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=ui.lblXbmc3.value&arg2=' % (user, passwd, ip, device_id))
				urllib.urlopen('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=ui.lblXbmc2.value&arg2=' % (user, passwd, ip, device_id))
				if (str(settings.getSetting("debug")) == "Yes"):
					print('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=ui.lblXbmc1.value&arg2=' % (user, passwd, ip, device_id))
					print('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=ui.lblXbmc3.value&arg2=' % (user, passwd, ip, device_id))
					print('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=ui.lblXbmc2.value&arg2=' % (user, passwd, ip, device_id))
		
		if (VIDEO == 1):
			urllib.urlopen('http://%s:%s@%s/api/sceneControl?id=%s&action=start' % (user, passwd, ip, id_end))
			urllib.urlopen('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=currentIcon&arg2=%s' % (user, passwd, ip, device_id, id_img_start))
			if (str(settings.getSetting("debug")) == "Yes"):
				print('http://%s:%s@%s/api/sceneControl?id=%s&action=start' % (user, passwd, ip, id_end))
				print('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=currentIcon&arg2=%s' % (user, passwd, ip, device_id, id_img_start))
		
		if (AUDIO == 1):
			urllib.urlopen('http://%s:%s@%s/api/sceneControl?id=%s&action=start' % (user, passwd, ip, id_end))
			urllib.urlopen('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=currentIcon&arg2=%s' % (user, passwd, ip, device_id, id_img_start))
			if (str(settings.getSetting("debug")) == "Yes"):
				print('http://%s:%s@%s/api/sceneControl?id=%s&action=start' % (user, passwd, ip, id_end))
				print('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=currentIcon&arg2=%s' % (user, passwd, ip, device_id, id_img_start))
	
	def onPlayBackStopped(self):
		if (str(settings.getSetting("label")) == "Yes"):
			urllib.urlopen('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=ui.lblXbmc1.value&arg2=' % (user, passwd, ip, device_id))
			urllib.urlopen('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=ui.lblXbmc3.value&arg2=' % (user, passwd, ip, device_id))
			urllib.urlopen('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=ui.lblXbmc2.value&arg2=' % (user, passwd, ip, device_id))
			if (str(settings.getSetting("debug")) == "Yes"):
				print('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=ui.lblXbmc1.value&arg2=' % (user, passwd, ip, device_id))
				print('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=ui.lblXbmc3.value&arg2=' % (user, passwd, ip, device_id))
				print('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=ui.lblXbmc2.value&arg2=' % (user, passwd, ip, device_id))
		
		if (VIDEO == 1):
			urllib.urlopen('http://%s:%s@%s/api/sceneControl?id=%s&action=start' % (user, passwd, ip, id_end))
			urllib.urlopen('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=currentIcon&arg2=%s' % (user, passwd, ip, device_id, id_img_start))
			if (str(settings.getSetting("debug")) == "Yes"):
				print('http://%s:%s@%s/api/sceneControl?id=%s&action=start' % (user, passwd, ip, id_end))
				print('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=currentIcon&arg2=%s' % (user, passwd, ip, device_id, id_img_start))
		
		if (AUDIO == 1):
			urllib.urlopen('http://%s:%s@%s/api/sceneControl?id=%s&action=start' % (user, passwd, ip, id_end))
			urllib.urlopen('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=currentIcon&arg2=%s' % (user, passwd, ip, device_id, id_img_start))
			if (str(settings.getSetting("debug")) == "Yes"):
				print('http://%s:%s@%s/api/sceneControl?id=%s&action=start' % (user, passwd, ip, id_end))
				print('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=currentIcon&arg2=%s' % (user, passwd, ip, device_id, id_img_start))
	
	def onPlayBackPaused(self):
		if xbmc.Player().isPlayingVideo():
			urllib.urlopen('http://%s:%s@%s/api/sceneControl?id=%s&action=start' % (user, passwd, ip, id_pause))
			urllib.urlopen('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=currentIcon&arg2=%s' % (user, passwd, ip, device_id, id_img_pause))
			if (str(settings.getSetting("debug")) == "Yes"):
				print('http://%s:%s@%s/api/sceneControl?id=%s&action=start' % (user, passwd, ip, id_pause))
				print('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=currentIcon&arg2=%s' % (user, passwd, ip, device_id, id_img_pause))
		
		if xbmc.Player().isPlayingAudio() == True:
			urllib.urlopen('http://%s:%s@%s/api/sceneControl?id=%s&action=start' % (user, passwd, ip, id_pause))
			urllib.urlopen('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=currentIcon&arg2=%s' % (user, passwd, ip, device_id, id_img_pause))
			if (str(settings.getSetting("debug")) == "Yes"):
				print('http://%s:%s@%s/api/sceneControl?id=%s&action=start' % (user, passwd, ip, id_pause))
				print('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=currentIcon&arg2=%s' % (user, passwd, ip, device_id, id_img_pause))
	
	def onPlayBackResumed(self):
		
		if xbmc.Player().isPlayingVideo():
			urllib.urlopen('http://%s:%s@%s/api/sceneControl?id=%s&action=start' % (user, passwd, ip, id_start))
			urllib.urlopen('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=currentIcon&arg2=%s' % (user, passwd, ip, device_id, id_img_video))
			if (str(settings.getSetting("debug")) == "Yes"):
				print('http://%s:%s@%s/api/sceneControl?id=%s&action=start' % (user, passwd, ip, id_start))
				print('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=currentIcon&arg2=%s' % (user, passwd, ip, device_id, id_img_video))
		
		if xbmc.Player().isPlayingAudio() == True:
			urllib.urlopen('http://%s:%s@%s/api/sceneControl?id=%s&action=start' % (user, passwd, ip, id_start))
			urllib.urlopen('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=currentIcon&arg2=%s' % (user, passwd, ip, device_id, id_img_music))
			if (str(settings.getSetting("debug")) == "Yes"):
				print('http://%s:%s@%s/api/sceneControl?id=%s&action=start' % (user, passwd, ip, id_start))
				print('http://%s:%s@%s/api/callAction?deviceid=%s&name=setProperty&arg1=currentIcon&arg2=%s' % (user, passwd, ip, device_id, id_img_music))
	
		
player=MyPlayer()

VIDEO = 0

while(not xbmc.abortRequested):
	if xbmc.Player().isPlaying():
		if xbmc.Player().isPlayingVideo():
			VIDEO = 1
			AUDIO = 0
		else:
			VIDEO = 0
			AUDIO = 1
	
	
	xbmc.sleep(1000)
	
